degob(6)

NAME
degob - Coktel Vision TOT script decompiler

SYNOPSIS
degob <version> <file.tot> [-o <offset>] [<file.ext>] [<commun.ext>]

DESCRIPTION
degob decompiles TOT scripts for Coktel Vision games.

version is one of the following:

Gob1
    Goblins 1

Gob2
    Gobliins 2

Gob3
    Gobliiins 3

Ween
    Ween: The Prophecy

Bargon
    Bargon Attack

Fascin
    Fascination

Lost
    Lost in Time

Woodruff
    The Bizarre Adventures of Woodruff and the Schnibble

Dynasty
    The Last Dynasty

Urban
    Urban Runner

Geisha
    Geisha

LittleRed
    Once Upon a Time: Little Red Riding Hood

If the script file calls loadMult(), the associated file.ext must be supplied on the command line. Some scripts also require a commun.ext. degob will indicate which of these is required, if necessary.

The disassembled script is written to the standard output.

OPTIONS

-o <offset
    starts the disassembly at the given offset.

AUTHORS
This manual page was adapted from the program usage information by Stephen Kitt <skitt@debian.org>, for the Debian GNU/Linux system (but may be used by others). It was last modified for scummvm-tools version 2.0.